Summary:	xrandr application - command-line interface to RandR extension
Summary(pl.UTF-8):	Aplikacja xrandr - interfejs linii poleceń do rozszerzenia RandR
Name:		xorg-app-xrandr
Version:	1.5.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xrandr-%{version}.tar.bz2
# Source0-md5:	ebffac98021b8f1dc71da0c1918e9b57
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.5
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXrandr >= 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xrandr is used to set the size, orientation and/or reflection of the
outputs for a screen.

%description -l pl.UTF-8
xrandr służy do ustawiania rozmiaru, orientacji i/lub odbicia wyjścia
ekranu.

%package -n xorg-app-xkeystone
Summary:	xkeystone application to help setting keystone effect correction
Summary(pl.UTF-8):	Aplikacja xkeystone pomagająca ustawić korekcję efektu trapezu
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nickle-cairo

%description -n xorg-app-xkeystone
xkeystone application to help setting keystone effect correction.

%description -n xorg-app-xkeystone -l pl.UTF-8
Aplikacja xkeystone pomagająca ustawić korekcję efektu trapezu.

%prep
%setup -q -n xrandr-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__sed} -i -e '1s,/usr/bin/env nickle,/usr/bin/nickle,' $RPM_BUILD_ROOT%{_bindir}/xkeystone

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xrandr
%{_mandir}/man1/xrandr.1*

%files -n xorg-app-xkeystone
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xkeystone
%changelog
* Wed Feb 24 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xrandr.git;a=log;h=master

* Wed Feb 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 93fa005
- updated libXrandr version
- separated xkeystone (to xorg-app-xkeystone), it requires nickle with cairo binding

* Tue Feb 23 2016 Lukasz Masko <lmasko@pld-linux.org> 08856f4
- Up to 1.5.0.

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 75cbe2d
- x32 rebuild
- release 2 (by relup.sh)

* Wed Aug 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b58f728
- up to 1.4.3

* Sun Mar 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d0b345c
- up to 1.4.2

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 2adef12
- fixed build without manx suffix

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 00000cc
- updated to 1.4.1

* Wed Feb 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 666c98f
- updated to 1.4.0

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 940ebfa
- updated to 1.3.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> cdb835f
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 99d95e2
- updated to 1.3.4

* Thu Aug 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 10f8c94
- updated to 1.3.3

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> a16478e
- updated libXrandr version

* Thu Sep 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7eeaa77
- up to 1.3.2

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d39ad3
- up to 1.3.1

* Thu Apr 02 2009 Jakub Bogusz <qboosh@pld-linux.org> 4732fe0
- updated deps

* Wed Apr 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d61b397
- up to 1.3.0

* Sun Feb 01 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 911fb97
- up to 1.2.99.4

* Fri Mar 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 50a6872
- up to 1.2.3

* Thu Jul 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 67762e4
- updated to 1.2.2

